Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048020 - FreeDink crashes on loading game
Summary: FreeDink crashes on loading game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freedink
Version: 19
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Sylvain Beucler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-02 22:15 UTC by Sylvain Beucler
Modified: 2017-08-09 16:50 UTC (History)
2 users (show)

Fixed In Version: freedink-1.08.20121209-2.1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1448761 (view as bug list)
Environment:
Last Closed: 2014-01-13 02:56:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Sylvain Beucler 2014-01-02 22:15:29 UTC
Description of problem:


Version-Release number of selected component (if applicable):

freedink-1.08.20121209-2


How reproducible:


Steps to Reproduce:
1. Start a new game, exit house, go one screen right, one screen up, save game.
2. Stop FreeDink
3. Start FreeDink
4. Load saved game

Actual results:
Segmentation fault.

Expected results:
Loading the saved game :)

Additional info:
A simple rebuild fixes the issue.
I'll request a rebuild/update.

Reported twice by other people at the main game forums:
http://www.dinknetwork.com/forum.cgi?MID=182719&Posts=7
http://www.dinknetwork.com/forum.cgi?MID=182045&Posts=6

Comment 1 Fedora Update System 2014-01-02 23:05:59 UTC
freedink-1.08.20121209-2.1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freedink-1.08.20121209-2.1.fc19

Comment 2 Fedora Update System 2014-01-03 14:59:03 UTC
Package freedink-1.08.20121209-2.1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freedink-1.08.20121209-2.1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0118/freedink-1.08.20121209-2.1.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-01-13 02:56:07 UTC
freedink-1.08.20121209-2.1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.